Package Gnumed :: Package pycommon :: Module gmScanBackend |
[frames] | no frames]

# Module gmScanBackend

source code

Author: Sebastian Hilbert <Sebastian.Hilbert@gmx.net>, Karsten Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later

Classes
| cTwainScanner
| cSaneScanner
| cXSaneScanner

Functions
get_devices() | source code
acquire_pages_into_files(device=None, delay=None, filename=None, calling_window=None, xsane_device_settings=None) Connect to a scanner and return the scanned pages as a file list. | source code

Variables
| use_XSane = `True`
| __package__ = ``'``Gnumed.pycommon``'``

Imports: sys, os, time, shutil, codecs, glob, logging, gmShellAPI, gmTools, gmI18N, gmLog2

Function Details

### acquire_pages_into_files(device=None, delay=None, filename=None, calling_window=None, xsane_device_settings=None) | source code
Connect to a scanner and return the scanned pages as a file list. returns: list of filenames: names of scanned pages, may be [] None: unable to connect to scanner